# Class DeleteSessionRequest

java.lang.Object
com.databricks.jdbc.model.client.sqlexec.DeleteSessionRequest

public class DeleteSessionRequest extends Object

## Constructor Summary

Constructors
Constructor
Description
`DeleteSessionRequest()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`String`
`getSessionId()`
`String`
`getWarehouseId()`
`int`
`hashCode()`
`DeleteSessionRequest`
`setSessionId(String sessionId)`
`DeleteSessionRequest`
`setWarehouseId(String warehouseId)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DeleteSessionRequest

public DeleteSessionRequest()

## Method Details

### setSessionId

public DeleteSessionRequest setSessionId(String sessionId)

### setWarehouseId

public DeleteSessionRequest setWarehouseId(String warehouseId)

### getSessionId

public String getSessionId()

### getWarehouseId

public String getWarehouseId()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`